<?php

namespace Drupal\campaignmonitor_campaign\Plugin\Block;

use Drupal\Core\Block\BlockBase;

/**
 * Provides a 'Campaign' block.
 *
 * @Block(
 *   id = "campaignmonitor_campaign_block",
 *   admin_label = @Translation("Campaign Block"),
 *   category = @Translation("Campaign Monitor Campaigns"),
 *   module = "campaignmonitor_campaign",
 * )
 */
class CampaignMonitorCampaignBlock extends BlockBase {

  /**
   * {@inheritdoc}
   */
  public function build() {
    $build = [
      '#campaigns' => [],
      '#theme' => 'campaignmonitor_archive',
    ];

    $campaigns = campaignmonitor_campaign_get_campaigns();
    if ($campaigns) {
      $build['#campaigns'] = $campaigns;
    }
    else {
      $this->messenger()
        ->addMessage(t('Unable to fetch any campaigns from Campaign monitor.'), 'error');
    }
    return $build;
  }

}
